Aixgl + Beryl no Slackware

O AiXgl é uma modificação do Xgl desenvolvida em grande parte pelo grupo Red Hat/Fedora. Ambos possuem a mesma função básica: possibilitar aceleração de vídeo. Já o Beryl é o ex-compiz-quinnstorm, que é na verdade o Compiz com mais efeitos. E agora o melhor de tudo, para instalar o Beryl no nosso querido Slackware é ridículo de fácil!

[ Hits: 171.526 ]

Por: Perfil removido em 17/11/2006


Introdução



Xgl é uma arquitetura de servidor X desenvolvida por David Reveman que roda sobre OpenGL via glitz. Tira proveito de placas gráficas modernas através de seus drivers OpenGL, suportando aceleração de hardware de todas as aplicações X, OpenGL e XVideo e efeitos gráficos através de um gerenciador de composição de janelas tal como o Compiz (retirado da enciclopédia livre, a Wikipedia).

Abaixo disponibilizo uma lista das placas que atualmente não são suportadas. Embora seja uma lista que está sempre em 'updating', recomendo dar uma olhada em outras páginas com a função de informar com precisão certas informações que estão sempre se atualizando:
  • ATI: Rage 128. Looks like driver locking issue.
  • ATI: Mach64. Sem suporte DRM no Fedora. Perigoso.
  • Matrox: MGA G200 to G550. Necessário atualização de driver para arrumar o DRI locking. Placas de vídeo PCI podem apresentar outros problemas.
  • 3dfx: Voodoo 1 e 2. No DRI driver.
  • ATI: Radeon 8500 através de X850 com o driver fglrx. Usa um driver antigo, assim o driver DRI não funciona mais com o novo carregador de driver.

Não querendo ser redundante, mas sempre precavendo, aviso que é estritamente necessário ter uma placa de vídeo off-board com suporte 3D. A lista acima foi retirada do Wiki do Gentoo sobre o AiXgl. Ao final do artigo estão listados os links que utilizei como pesquisa.

O Beryl é uma modificação do Compiz, um compositor de janelas desenvolvido pela equipe SuSE/Novell que também traz recursos divertidos, como exposição de desktops em terceira dimensão e rotação dos mesmos numa figura espacial, efeitos de komposé e janelas malucas.

Vamos sair da teoria logo e vamos instalar!

    Próxima página

Páginas do artigo
   1. Introdução
   2. Pré-requisitos
   3. Introdução à instalação + Instalando o driver nVidia
   4. Instalação do X.Org 7.1 + AiXgl
   5. Instalação do Beryl
   6. Ajustes finais e execução
   7. Troubleshooting
   8. Divertindo-se com o Beryl
   9. Screenshots
   10. Conclusão
Outros artigos deste autor

Usando tabelas no editor de textos do OpenOffice

Passos essenciais para configurar um servidor de impressão dedicado no Linux

Backup/Restore de uma cópia fiel de um HD utilizando o DD

Gerência e criação de módulos do kernel

Xen - XL.cfg - Sintaxe da Configuração de Domínios - Parte II

Leitura recomendada

Blender - Criando personagem 3D em menos de 10 minutos

Kino: Capture e edite seus vídeos no Linux

Aprendendo a criar pixmap no Gimp

Escrevendo com LaTeX

Compiz Fusion: Ativando o efeito de "janela pegando fogo" e outros efeitos 3D

  
Comentários
[1] Comentário enviado por kroz em 17/11/2006 - 07:56h

cara, parabens pelo artigo:

acabei de instalar o aigxl e beryl e muito dez cara .... ficou oh... filé meu desktop...

[2] Comentário enviado por elielsonfs em 17/11/2006 - 08:31h

show seu artigo..
está de parabéns até agora eu não tinha visto um tão completo para o slack. Show mesmo.

[3] Comentário enviado por pools em 17/11/2006 - 10:25h

Muito bom artigo!

chegando em casa vou dar uma testada...

Você citou problemas com o Java. isso para mim é procupante.
Qual é o erro?
Caso souber mais sobre isso, não exite em nos contar!

Grande abraço,

PoolS


[4] Comentário enviado por the question em 17/11/2006 - 13:09h

Aewww
Tive alguns problemas pra instala o Beryl no Slack, seu artigo é realmente mto útil.
Assim que eu voltar da aula eu testo.
Vlw!

[5] Comentário enviado por removido em 17/11/2006 - 19:08h

Volta e meia o Beryl cisma com aplicações JAVA. O Limewire, por exemplo, trava, às vezes ele nem minimiza. A solução é xkill mesmo. Ainda é um problema crítico mas creio que a solução está prestes a chegar.

[6] Comentário enviado por fernandofei em 17/11/2006 - 19:09h

muito show..testado a aprovado...

abraços muleke

[7] Comentário enviado por nick em 17/11/2006 - 22:09h

Eu utilizo as aplicaçoes em java aki no meu desk, como o Limewire por exemplo, e nunca deu nenhuma travada. Só o GDM que dá umas loka as vezes...
Parabens pelo artigo! Nota 10!

[8] Comentário enviado por coffnix em 18/11/2006 - 03:13h

muuuuito bruto!!!!!!!!!

[9] Comentário enviado por removido em 18/11/2006 - 15:50h

Para esclarecer dúvidas (andei vendo dúvidas sobre isso por aí). O Beryl, diferentemente do compiz não depende do Gnome.
O Compiz depende do Gnome porque ele usa o Gconf para editar suas configurações. O Gconf depende do Bonobo. O Bonobo depende do Gnome praticamente inteiro instalado. A equipe do Beryl removeu a necessidade do Gconf para alterar as configurações, portanto o Beryl não depende do Gnome porque ele não usa Gconf. Creio que está esclarecido! :)

[10] Comentário enviado por samuK em 18/11/2006 - 21:34h

mandou muito bem mesmo!!
parabéns!

[]'s

[11] Comentário enviado por xkillerrx em 19/11/2006 - 13:19h

opa... instalei aqui e foi 100% sucesso... agora so uma pergunta, como q tira essa tarja preta q fica ao redor dos aplicativos ?

Vlws !!!

[12] Comentário enviado por RaphaRocks em 19/11/2006 - 15:54h

opa essa parte de naum depender do gnome mto me interessa, instalar alguns pacotes do gnome soh pra ter suporte ao compiz eh um pé, vo testa depois esse artigo sim, mais uma coisa, ele num usa o Xgl neh, ele usa uma aplicação opengl do proprio x 7.1, soh preu intende legal??

[13] Comentário enviado por Phantom X em 19/11/2006 - 16:52h

Belo artigo! Ainda não testei o Beryl, mas só a aceleração do novo xorg já fez maravilhas por aqui!

Valew!

Obs.: O fontconfig já está incluído no pacote do xorg do KateOS.

[14] Comentário enviado por removido em 20/11/2006 - 11:22h

Mto Bom o Artigo!
Algumas gambiarras e o beryl está rodando no Xfce 4.4 Rc2 =-)

Recomendo desencanar do beryl-manager, e fazer tudo com beryl-setting e emerald-settings



Slackware-Current
Kernel 2.6.18.2
Fx5200

[15] Comentário enviado por removido em 20/11/2006 - 11:51h

RaphaRocks, diferentemente do Xgl, o AiXgl já é um módulo de aceleração de vídeo incorporado ao X.Org, basta habilitá-lo no arquivo de configuração.
xkillerrx, a tarja preta é o efeito shadow do tema que você está usando no Emerald. No Emerald Theme Manager, vá em Edit > Frame/Shadows e mude o valor do radius ("espessura da tarja preta").
StarX, eu acho o Beryl Manager mais intuitivo e bonitinho. Mas aí, a escolha é sua ;)

[16] Comentário enviado por removido em 20/11/2006 - 12:19h

estranho o meu não deu certo,fiz tudo direto fiz 2 vezes e nada, quando ativo o beryl ele eh executado,mas a tela fica branca, não aparece nada.
alguem sabe o pq disso?
vlw.

[17] Comentário enviado por RaphaRocks em 20/11/2006 - 13:32h

MEU AMIGO testei os 2 pra tira a prova, XGL + Compiz e AiXGl com Beryl, xorg 7.1 eh MTO MTO mais rapido, fora q Beryl eh a integração perfeita com o KDE, e de acordo com o nosso migo StarX algumas modificações e ele roda com outro ambiente de boa, a quantidade de recursos do Beryl nem c compara ao compiz e a qualidade de aceleração grafica do xorg7 em relação ao Xgl eh humilhante, parabens pelo artigo continue assim, eh assim q a comu linux cresce e ganha do lado negro da força hheheheheheh

[18] Comentário enviado por removido em 20/11/2006 - 13:58h

Melhor artigo que ja vi de instalacao do compiz no slackware, ja vi alguns parecidos mas esse eh o primeiro que realmente foi mais detalhado, parabens =P

Mas mesmo assim ainda tive um problema aqui, quando carrego o meu xorg.conf ja configurado para usar o xgl ele acusa falta das extensoes bitmap e pcidata, ja quando uso o xorg.conf q vc postou a tela fica preta e nao consigo acessar nd, dae o jeito eh usar o ctrl + alt + del, se sabe como resolver seria de grande ajuda =)

[19] Comentário enviado por removido em 20/11/2006 - 15:40h

xdisturbedx, eu acho que se você reinstalar o driver da sua placa de vídeo, pode funcionar. Tive o mesmo problema aqui, eu reinstalei o driver da placa de vídeo e peguei outro xorg.conf que eu tinha por aqui, fiz as alterações necessárias e funcionou perfeitamente.
Jairo, não sei o que, depois vou dar uma pesquisada e ver se acho alguma solução. Muito estranho. Tente passar o modelo da sua placa de vídeo pra gente?
RaphaRocks, o Xgl é um módulo, não é incorporado ao X.Org, isso diminui um pouco o desempenho dele frente ao AiXgl. E o Compiz, por sua vez, carrega as libs do Gnome e ele em si é mais pesado que o Beryl.

Eu postei meu xorg.conf. Está linkado no artigo. Talvez se quem tiver problema, fizer algumas alterações no meu xorg.conf de acordo com suas necessidades, funcione.

[20] Comentário enviado por gabrielrs em 20/11/2006 - 21:41h

Ola

Tenho enfrentado o mesmo problema queo o usuario Jairo relatou acima. ao carregar o beryl a tela fica branca, entao soh matando o beryl e o compiz para voltar a imagem. jah testei com outros drivers da NVIDIA e ate agora nada... quem souber o que acontece poste ai.

Obrigado


[21] Comentário enviado por RaphaRocks em 21/11/2006 - 13:45h

achu q achei um Bug mais queria ver c acontece soh comigo ou com mais alguem, uso as vezes o Kopete (pura preguisa de instalar o Amsn) qdo ele cria o balão de notificação dizendo que alguem esta falando comigo corre td bem, nem o beryl nem o aixgl daum problema, mais c eu clicar no balão o beryl da um crash e reinicia o servidor X na hora, mais alguem teve esse problema, testei diversas confs do beryl e nada parece solucionar.

[22] Comentário enviado por xnardelli em 22/11/2006 - 00:00h

Eu achei que o beryl é legal, mas tem muito bug...

parece um, como chama mesmo... Plus! do windows 98, lembram??? Arghhhh


[23] Comentário enviado por coffnix em 22/11/2006 - 12:48h

caro xnardelli,

vc só pode ter bebido ao dizer isso.... tá louco?
o artigo segue a linha para realizar a instalação no Slackware para o KDE, e nada além disso.

Aki funciona perfeitamente bem, sem problemas, sem travamentos, PERFEITO!!


té mais

[24] Comentário enviado por kroz em 22/11/2006 - 16:30h

eu tambem instalei e deu tudo certinho...

o xnardelli pirou ou o fumo dele ta stragadu... pra dizer isso

[25] Comentário enviado por easy em 23/11/2006 - 09:07h

Belo tutorial!

Segui (aparentemente) sem problemas todos os passos, realmente subi o driver nvidia, o xorg7.1 e o beryl... porém tenho problemas, se puderem me ajudar agradeço: usando o beryl-manager, se eu defino o engine de render de janelas para 'Beryl' as janelas ficam sem borda, sem possibilidade de redimensionamento, sem possibilidade de mover, além do menu 'K' que some da tela. Alterando para os outros renderers de janela tudo volta a normalidade, mas em nenhum caso consegui causar os efeitos do XGL.

Gente, confesso que sou novato em linux, estou me esforçando para aprender e agradeço toda ajuda disponível. Já achei o máximo chegar até onde cheguei, instalando o driver da nvidia, mudando para o xorg e tudo o mais sem muita complicação. Isso prova a qualidade deste tutorial.

(uso slackware 11.0, kernel 2.6, kde 3.5, xorg7.1 e os pacotes puxados de acordo com o tutorial)

[ ]s

Easy

[26] Comentário enviado por murielgodoi em 24/11/2006 - 08:48h

Muito bom o tutorial, os efeitos são realmente fantásticos.
O único problema que estou enfrentando é que depois que instalei, somente consigo entrar no X como root, como usuário dá erro:

/usr/bin/xterm.bin: bad command line option "xterm".

Alguém tem idéia de como arrumo isso?

tks

[27] Comentário enviado por removido em 25/11/2006 - 14:53h

consegui instalar o xorg e o beryl blz agr, so q estou com problema nas fonts, ja tentei mudar o diretorio no xorg.conf pra todas as pastas q tem em /usr/X11R6/lib/X11/fonts/ mas continuam com algumas fonts diferentes e sem alguns caracteres

[28] Comentário enviado por coffnix em 25/11/2006 - 19:41h

eae xdisturbedx,

tu tem q instalar mais 2 pacotes de fonte do xorg:

http://kate.student.pw.edu.pl/pub/download/packages/distfiles3/xorg-fonts-100dpi-7.1-i486-1.tgz

http://kate.student.pw.edu.pl/pub/download/packages/distfiles3/xorg-fonts-cyrillic-7.1-i486-1.tgz



depois de instalar reinicia o servidor X e voilá! hehehe

[29] Comentário enviado por nelson_plb em 26/11/2006 - 00:00h

Boas

O tutorial ta excelente, no entanto no meu caso n funcionou
Fiz td,li dezenas de tutoriais e nada...

Instalei o tds os programas deste tutorial, drivers da placa + recentes, fiz td certinho, no fim n deu, kd ativo beryl manager retira-m a barra as janelas, e n faz mais nada. Pelo k percebi tenho o direct rendering desactivado, li em foruns para inserir "Option Composite "false"" no xorg.conf, assim fiz, mas n adiantou nada, ao verificar o /var/log/Xorg.0.log continua a dar Composite extension enabled e isso bloqueia-m o dri, logo nepia de 3D... :(
S eu activo a opcao para desactivar Composite porq k n desactiva, nem no meu pc mando...

Agradecia imenso kk tipo de ajuda, passei um dia inteiro de volta disto pa nada...

Ja agora, a placa(infelizmente) é uma ATI x700

Cumprimentos

[30] Comentário enviado por coffnix em 26/11/2006 - 04:12h

Beryl performance

For speedup beryl set..

1. sync to vblank on nvidia-settings disabled
2. disable beryl slowness fix from beryl settings
3. disable beryl sync to vblank from beryl settings
4. disable beryl detect freshrate from beryl settings

[31] Comentário enviado por coffnix em 26/11/2006 - 17:02h

Achei mais umas dicas em um fórum frances pra turbinar a sua placa de video:

PS: Somente nvidia!!!!!

adicione na seção DEVICE

Option "TripleBuffer" "true"
Option "RenderAccel" "true"
Option "AllowGLXWithComposite" "true"

[32] Comentário enviado por pools em 29/11/2006 - 20:00h

Opa! o meu ficou legal!

Unica exceção, no beryl-settings:

[paulo@PauloLinux ~]$ beryl-settings

(beryl-settings:3718): Pango-WARNING **: Invalid UTF-8 string passed to pango_layout_set_text()

(beryl-settings:3718): Pango-WARNING **: Invalid UTF-8 string passed to pango_layout_set_text()
Falha de segmentação


Alguêm passou por isso??

Até mais!

[33] Comentário enviado por pools em 29/11/2006 - 20:05h

Já descobri... problemas desta versão com nosso locale (pt_BR e alguns outros tbm)

Para funcionar eu fiz no konsole:

LANG=""
LC_ALL="" beryl-settings

como usuario comum!

Até mais!!

[34] Comentário enviado por pools em 29/11/2006 - 21:50h

Problema no Java

Para minimizar:

Insira a linha abaixo em seu ~.bashrc
export AWT_TOOLKIT="MToolkit"
Ou em seu /etc/profile

[35] Comentário enviado por jpfaria em 29/11/2006 - 23:43h

Galera que tem problemas na instalação, preste atenção nas observações abaixo:

1 - Desinstalar junto com o x11 os pacotes freetype e fontconfig e apos instalar o xorg, reinstale.

2 - Desabilitar a linha abaixo se tiver no seu xorg.conf
ModulePath "/usr/X11R6/lib/modules"

3 - Criar um link simbolico para o xinitrc, se nao o startx não irá funcionar..
# cd /etc/X11
# rm -r xinitrc
# ln -s xinitrc.kde xinitrc

4 - Após terminar de instalar tudo.. melhor da um boot pois no meu aqui o startx dava comando inválido, após um boot funcionou.

[36] Comentário enviado por jpfaria em 29/11/2006 - 23:45h

5 - Não esqueca de instalar todos os pacotes do xorg 7.1, se instalar somente as que esta descrito no artigo você vai ter problemas com algumas fontes.

[37] Comentário enviado por coffnix em 30/11/2006 - 05:55h

problemas com java infelismente será a galera do Beryl Project q terá q resolver....

resta a nós, simples usuários aguardar uma solução! hehhee

[38] Comentário enviado por edimarlnx em 01/12/2006 - 19:29h

Aqui no meu slackware instalou tudo certinho só que na hora que inicio o beryl a tela fica toda invertida.

Alguém tem alguma idéia do que seja?

Slackware 11
e os pacotes acima instalados (xorg7,...)

Tanto no kde como no gnome

abaixo link das telas


http://www.wdnhost.com/imgs/gnome.png
http://www.wdnhost.com/imgs/kde.png



[39] Comentário enviado por omegahertz_uft em 02/12/2006 - 20:52h

Ai galera e o seguinte..instalei tudo blezinha aki mais na hora que eu vo no select window manager --beryl aparece isso aki


kwin: Fatal IO error: client killed
XGL Absent, checking for NVIDIA
Nvidia Present
Relaunching beryl with __GL_YIELD="NOTHING"
XGL Absent, checking for NVIDIA
Nvidia Present
beryl: No composite extension


help-me please...!!!!

[40] Comentário enviado por nhawkbr em 03/12/2006 - 21:05h

Pessoal, me ajudem.
eu inicio tudo com dbus-launch (no console pra ver a saida)
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-r2ApyaPgrF,guid=ad609ab12dc79e37f3ed120045735754
DBUS_SESSION_BUS_PID=2581

ai quando eu digito beryl-manager
mas num vejo nada bonito na tela de diferente. falta alguma coisa?

[41] Comentário enviado por omegahertz_uft em 04/12/2006 - 00:54h

galera...agora aki ta tudo rodando redondo como tem que ser.....fico muito massa mesmo...eu fiz o seguinte...instalei o drive da placa nvidia(xfx 6600) depois instalei todo o xorg-7.1 e depois reinstalei o drive dnovo...pq pensei que ele poderia ter diferença...como eu tinha instalado ele no xorg antigo...dai instalei o resto dos esquemas ai...dai mesmo assim tava dando essa mens __GL_YIELD="NOTHING"...nao sei se foi isso....mais fiz o seguinte....ja pelas 4:00 da madruga tentando escrevi no console __GL_YIELD="NOTHING" mais ao inves de NOTHING coloquei true.... nao apareceu mens de erro....e o trem começo a pegar GL_YIELD="true"...fiz tanta coisa e ja era tao tarde que xego a pensa que foi isso que deu certo....rsrsr...mais tbm meci demais da conta no meu /etc/X11/xorg.conf....mais oq interessa e que ta tudo redondo...rsrsrsr

[42] Comentário enviado por deanbasso em 09/12/2006 - 22:06h

Aqui esta dando prolema com esmerald-theme-manager a saida é esta:


emerald-theme-manager: error while loading shared libraries: libglitz.so.1: cannot open shared object file: No such file or directory

[43] Comentário enviado por nhawkbr em 12/12/2006 - 23:49h

Pessoal
Uma coisa que coloquei no meu xorg.conf e fez o meu beryl funcionar.

Section "Extensions"
Option "Composite" "Enable"
EndSection

[44] Comentário enviado por leorm037 em 16/12/2006 - 10:17h

Pra quem esta com problema no libglitz.so.1, baixar o glitz-0.5.3.tar.gz, ou superior, de http://cairographics.org/snapshots/, em seguida installpkg glitz-* e pronto.

Parabens pelo tutorial.

[45] Comentário enviado por lidyon em 26/12/2006 - 18:58h

Parabéns pelo tutorial! deu quase tudo certo. Mas estou tendo um problema com as sombras . Elas aparecem apenas como retangulos opacos . Alguém sabe como resolver isto?

ps: Minha placa é NVidia ....
t++++

[46] Comentário enviado por Gaucho em 29/12/2006 - 11:57h

Tenho uma Radeon 8500 AGP, isso quer dizer que ele não vai funcionar no meu Ubuntu?

[47] Comentário enviado por japarootz em 30/12/2006 - 13:36h

** (beryl-manager:7578): WARNING **: No pidof, this may not work right.

** (beryl-manager:7578): WARNING **: No pidof, this may not work right.

** (beryl-manager:7578): WARNING **: No pidof, this may not work right.

** (beryl-manager:7578): WARNING **: No pidof, this may not work right.
kwin: Fatal IO error: client killed
QFont::setPointSize: Point size <= 0 (-3)

Como corrijo isso pessoal.....obrigado

[48] Comentário enviado por andre.vmatos em 02/01/2007 - 12:16h

Ae bom dia a tds.
O artigo ficou mto bom, bem explicado. mas nao consegui fazer funcionar aqui no meu pc. É o seguinte, já to com o X11R7 rodando quase blz (ah, outro probleminha é com as fontes, já instalei os pacotes e nada, continua td esquisito). Porém, o beryl nao faz nada. Tipow, ele carrega, aparece aquele icone no systray, mas, primeiro ele some a barra de títulos, depois reaparece a do kwin. É pq deu fallha, A MESMA FALHA DO POST ANTERIOR:

** (beryl-manager:21574): WARNING **: No pidof, this may not work right.
kwin: Fatal IO error: client killed

(emerald:21668): Gtk-WARNING **: Locale not supported by C library.
Using the fallback 'C' locale.

Ai, em caso de falha ele inicia o kwin. Mas pq ta dando isso, como corrijo. Estou com água na boca pra ver esses efeitos na minha NV 5200, mas ainda nao consegui resolver. Please, ajude.

Grato, André Matos

[49] Comentário enviado por coffnix em 02/01/2007 - 12:28h

andre.vmatos,

vc alguma vez atualizou a glibc?

em todo caso, vc deve reinstalar os pacotes de library do slack e o de compilação (pra garantir que tudo funcionará)....
monte o cd 2 do slack, e vá nas pastas d e l.... e rode o comando:

# upgradepkg --reinstall --install-new *tgz ; ldconfig

aguarde o processo todo e reboote o slack ou reincialize o X.... tente rodar e veja se está tudo ok!


abraços,

ChemonZ

[50] Comentário enviado por dark_slack em 02/01/2007 - 13:19h

a única coisa que nao funfou aqui foi o servidor X:

# cat Xorg.0.log

X Window System Version 7.1.0
Release Date: 22 May 2006
X Protocol Version 11, Revision 0, Release 7.1
Build Operating System: Linux 2.6.17.6-kateos i686 KateOS Project
Current Operating System: Linux House 2.6.18.3 #1 SMP PREEMPT Sat Nov 25 23:47:26 BRT 2006 i686
Build Date: 21 August 2006
Before reporting problems, check http://kateos.org
to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Jan 2 02:04:41 2007
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "X.org Configured"
(**) |-->Screen "Screen0" (0)
(**) | |-->Monitor "Monitor0"
(**) | |-->Device "Card0"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(WW) `fonts.dir' not found (or not valid) in "/usr/X11/lib/X11/fonts/CID/".
Entry deleted from font path.
(Run 'mkfontdir' on "/usr/X11/lib/X11/fonts/CID/").
(**) FontPath set to:
/usr/X11/lib/X11/fonts/misc/,
/usr/X11/lib/X11/fonts/TTF/,
/usr/X11/lib/X11/fonts/Type1/,
/usr/X11/lib/X11/fonts/75dpi/,
/usr/X11/lib/X11/fonts/100dpi/
(**) RgbPath set to "/usr/X11/lib/X11/rgb"
(**) ModulePath set to "/usr/X11/lib/modules"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Module ABI versions:
X.Org ANSI C Emulation: 0.3
X.Org Video Driver: 1.0
X.Org XInput driver : 0.6
X.Org Server Extension : 0.3
X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "bitmap"
(WW) Warning, couldn't open module bitmap
(II) UnloadModule: "bitmap"
(EE) Failed to load module "bitmap" (module does not exist, 0)
(II) LoadModule: "pcidata"
(WW) Warning, couldn't open module pcidata
(II) UnloadModule: "pcidata"
(EE) Failed to load module "pcidata" (module does not exist, 0)

Fatal server error:
Unable to load required base modules, Exiting...

(WW) xf86CloseConsole: KDSETMODE failed: Bad file descriptor
(WW) xf86CloseConsole: VT_GETMODE failed: Bad file descriptor

alguem sabe como faço pra ageitar isso?

[51] Comentário enviado por dark_slack em 03/01/2007 - 04:42h

finalmente conssegui usar o aixgl+beryl, mais nao conssigo ver a barra de tarefas do kde aquele onde fica o kmenu e os icones do sistema.
ele ta totalmente branco, alguem sabe como deixar ele transparente?

[52] Comentário enviado por gersonruotolo em 13/01/2007 - 02:19h

Estou com um estranho problema ao atualizar o X para a versão 7.1

O root inicia normalmente ao dar startx (kde).

O usuário comum não consegue carregar o kde , o X dá algum erro. Olhei no diretório do usuário e não tinha nenhum .xinitrc.

Copiei tal arquivo, do root, para o diretório do usuário e mudei as permissões. Aí o X volta a funcinar normalmente com o usuário.

mas ao mudar o inittab (id de 3 para 4), para o kde carregar automaticamente para o usuário, o mesmo erro volta a aparecer.

Pacotes instalados:

xorg-7.1-i486-6.tgz
xorg-devel-7.1-i486-1.tgz
xorg-docs-7.1-i486-1.tgz
xorg-fonts-100dpi-7.1-i486-1.tgz
xorg-fonts-cyrillic-7.1-i486-1.tgz
xorg-7.1/xorg-fonts-misc-7.1-i486-1.tgz
xorg-7.1/xorg-fonts-scale-7.1-i486-1.tgz
xorg-xdmx-7.1-i486-1.tgz
xorg-xnest-7.1-i486-1.tgz
xorg-xvfb-7.1-i486-1.tgz

Parte do xorg.log:

X Window System Version 7.1.0
Release Date: 22 May 2006
X Protocol Version 11, Revision 0, Release 7.1
Build Operating System: Linux 2.6.17.6-kateos i686 KateOS Project
Current Operating System: Linux Gerson 2.6.18 #2 Sat Dec 9 19:05:08 BRST 2006 i686
Build Date: 21 August 2006
Before reporting problems, check http://kateos.org
to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Jan 12 19:36:56 2007
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Simple Layout"
(**) |-->Screen "Screen 1" (0)
(**) | |-->Monitor "My Monitor"
(**) | |-->Device "VESA Framebuffer"
(**) |-->Input Device "Mouse1"
(**) |-->Input Device "Keyboard1"
(WW) The directory "/usr/local/share/fonts" does not exist.
Entry deleted from font path.
(**) FontPath set to:
/usr/X11R6/lib/X11/fonts/misc,
/usr/X11R6/lib/X11/fonts/75dpi:unscaled,
/usr/X11R6/lib/X11/fonts/100dpi:unscaled,
/usr/X11R6/lib/X11/fonts/Type1,
/usr/X11R6/lib/X11/fonts/Speedo,
/usr/X11R6/lib/X11/fonts/cyrillic
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(**) Extension "Composite" is enabled
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Module ABI versions:
X.Org ANSI C Emulation: 0.3
X.Org Video Driver: 1.0
X.Org XInput driver : 0.6
X.Org Server Extension : 0.3
X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/lib/xorg/modules/fonts/libbitmap.so
(II) Module bitmap: vendor="X.Org Foundation"
compiled for 7.1.0, module version = 1.0.0
Module class: X.Org Font Renderer
ABI class: X.Org Font Renderer, version 0.5

[53] Comentário enviado por XandeOS em 18/01/2007 - 02:48h

Olá pessoal,
Tenho un notebook HP Pavilion ZV6131 com uma placa de vídeo ATI Radeon Xpress 200M. Instalei todos os pacotes como no artigo, mas tive alguns problemas quando fui rodar o Beryl. Não funcionou e apareceu a seguinte mensagem:

XGL Absent, checking for NVIDIA
Nvidia Absent, checking for texture_from_pixmap
texture_from_pixmap Present
beryl: No composite extension

Pesquisei um pouco e descobri que o driver proprietário da ATI, fglrx, não suporta a extensão "Composite", e achei algumas sugestões de tentar usar o XGL com fglrx ou o driver open source "radeon" com o AiXGL mesmo.
Ainda não consegui fazer funcionar o Beryl, por isso, se alguém estiver com um problema semelhante e conseguir fazer funcionar por favor me informe.

Aguardo respostas.
Valeu!


[54] Comentário enviado por dark_slack em 18/01/2007 - 08:24h

faz assim!
depois de instalar o driver da nvidia vc pode gerar um xorg.conf novo com ele:

# nvidia-xconfig

[55] Comentário enviado por rapharocks em 18/01/2007 - 15:07h

gente vamos começar a LER DIREITO o q foi postado..... o cara usa uma placa de video RADEON o nvidia-xconfig jah eh uma bosta pra as placas nvidia pra ATI entaum nem pensar....

XandeOS vc jah tem as linhas a seguir no seu xorg.conf??

Section "Extensions"
Option "Composite" "Enable"
EndSection

se naum tiver poew no fim do cara e tenta roda o beryl, c funcionar lindo c num funcionar tenta por pra roda o driver vesa no xorg pra ver c eh o modulo do kernel, c rodar com o vesa ( sim ele funciona, fica uma bosta mais funciona ) ai agente precisa achar um modulo compativel pra por ai..

T+V

[56] Comentário enviado por XandeOS em 20/01/2007 - 01:47h

rapharocks, obrigado por responder.
Já havia colocado esta opção ("Composite" "Enable") no meu xorg.conf mas aí quando inicio o X e rodo o fglrxinfo, ele diz que o DRI está desabilitado e o glxgears desenha a uma taxa de +-670 fps, quando comento a extenção Composite aí o glxgears dá +-1700 fps (DRI habilitado). Ainda não testei com o driver vesa (não esperava que ele poderia funcionar), apenas com 'ati' e 'radeon', vou testar.

Obrigado pela ajuda.

[57] Comentário enviado por angrasbss em 23/01/2007 - 20:17h

Estou ansioso por ver o xgl no meu slack!! O meu deu esse pau

** (beryl-manager:27276): WARNING **: Não foi possível identificar o processo, algo poderá não funcionar corretamente.
kwin: Fatal IO error: client killed
Uso geforce com driver. O que devo fazer?

[58] Comentário enviado por fernandofei em 23/01/2007 - 20:22h

angrasbss eu acabei de instalar aqui no meu slack... to usando ele faz 30 minutos ainda hehehe...

tenho uma GeForce4 mx440 64mb (velha mas aguanta o tranco na boa)

o driver Nvidia 97XX dava problema, tentei o 96XX e rolou perfeito...

abraços e boa sorte

[59] Comentário enviado por angrasbss em 24/01/2007 - 09:31h

Bom...eu consegui rodar o beryl, mas com alguns problemas. Tipo: Executo o beryl normalmente, com o tempo ele pára, isso por que na secção "selecione o gerenciador de janelas" que deveria ser kwin (gerenciador de janelas do kde) não funciona; então seleciono (dentro dessa mesma secção) o item beryl, ou seja, desmarcando a opção kwin.
Outro problema, é o desaparecimento/reaparecimento constante do mouse, não sei ainda o que está errado, essa é a configuração do meu mouse no xorg:
Section "InputDevice"
# generated from default
Identifier "Mouse0"
Driver "mouse"
Option "Protocol" "auto"
Option "Device" "/dev/psaux"
Option "Emulate3Buttons" "no"
Option "ZAxisMapping" "4 5"
EndSection

agradeço pr qualquer tipo de ajuda

[60] Comentário enviado por andre.vmatos em 30/01/2007 - 17:37h

Olá comunidade!!!
Eu consegui fazer funcionar o AiGLX+Beryl no meu Slack 11. Ele continua dando o mesmo erro que no meu post ai de cima, mas agora ta tudo funcionando. Não sei direito como, mas consegui fazer o Emerald funfar. Ele que nao tava deixando meu Beryl funcionar com todos os efeitos, mas agora ficou mto legal. Parabéns novamente pelo artigo. Se não fosse ele, não teria conseguido fazer meu beryl funcionar. Vlw a tds

[61] Comentário enviado por andypaes em 02/02/2007 - 11:07h

Olá galera da VOL..
eu estou com um problema, quando eu vou iniciar o beryl ele me volta o seguinte comando...
Reloading options

process 11918: D-Bus library appears to be incorrectly set up; failed to read machine uuid: Failed to open "/var/lib/dbus/machine-id": No such file or directory
See the manual page for dbus-uuidgen to correct this issue.
D-Bus not built with -rdynamic so unable to print a backtrace

o que pode estar acontecendo....os pacotes dbus estão instalados coretamente....
agradeço desde ja....obrigado.

[62] Comentário enviado por ontracks em 09/02/2007 - 09:59h

Alguma solução para esse probleminha?

ontracks@darkstar:~$ beryl-settings
Traceback (most recent call last):
File "/usr/bin/beryl-settings", line 2, in ?
import berylsettings
ImportError: No module named berylsettings

está faltando o módulo berylsettings na pasta de módulos do python?
Jah procurei e naum achei nada

[63] Comentário enviado por lrgalego em 09/02/2007 - 20:47h

Ala galera, o artigo é ótimo e eu o usei com sucesso, entretanto me surgiu uma dúvida! o beryl-settings só roda com o python2.5 e o slack vem o o python2.4, entretanto o pygtk não roda no python2.5 em uma primeira máquina eu simplesmente fiz um link da pygtk para o /usr/local/lib e dei ldconfig e funcionou blz, mas agora em outra máquina isso não está funcionando de jeito nenhum! tenho o python2.4 na /usr/ e o 2.5 na /usr/local o 2.4 consegue imporar o pygtk mas o 2.5 não, alguem sabe como configurar isso?

[64] Comentário enviado por lrgalego em 09/02/2007 - 21:52h

ontracks pra vc resolver esse problema a primeira coisa é ter o python 2.5 a segunda é invocar usar o svn do beryl
bash$ svn co svn://svn.beryl-project.org/beryl/trunk beryl
daí vc gera o pacote beryl-settings-bindings e instala ele
daí se tudo der certo com a sua pygtk com o python2.5 vc consegue abrir =)

[65] Comentário enviado por vargas.lucas em 10/02/2007 - 19:48h

seguinte, vcs tem que instalar tb

beryl-settings-bindings
cairo
pygobject
pycairo
pygtk

pra pode roda o beryl-settings ;]

pelo menos aqui com uma instalação limpa do slack11 preciso ;]

um abraço

[66] Comentário enviado por pedro_raphael em 11/02/2007 - 00:58h

bom galera tive um pequeno problema awe seguinto eu instalei do jeito do tudo e talz e funcionou o beryl soh q o cubo 3d nao rola ele nao executa de jeito nenhum vcs podem me enviar um artigo ou uma solucao p esse pro
obrigado

pedro

[67] Comentário enviado por leonardo.ls em 12/02/2007 - 14:13h

Easy... [To com o mesmo problema do EASY]
//=============================================//
Segui (aparentemente) sem problemas todos os passos, realmente subi o driver nvidia, o xorg7.1 e o beryl... porém tenho problemas, se puderem me ajudar agradeço: usando o beryl-manager, se eu defino o engine de render de janelas para 'Beryl' as janelas ficam sem borda, sem possibilidade de redimensionamento, sem possibilidade de mover, além do menu 'K' que some da tela. Alterando para os outros renderers de janela tudo volta a normalidade, mas em nenhum caso consegui causar os efeitos do XGL.

Gente, confesso que sou novato em linux, estou me esforçando para aprender e agradeço toda ajuda disponível. Já achei o máximo chegar até onde cheguei, instalando o driver da nvidia, mudando para o xorg e tudo o mais sem muita complicação. Isso prova a qualidade deste tutorial.

(uso slackware 11.0, kernel 2.6, kde 3.5, xorg7.1 e os pacotes puxados de acordo com o tutorial)
//=============================================//
Alguem achou a solução????

[68] Comentário enviado por countercraft em 13/02/2007 - 01:02h

parabens, um ótimo tutorial, mas tive alguns problemas, que resolvi com a instalação das libs cairo, pycairo, etc, q o vargas lucas indicou. Agora o beryl manager e o emerald manager funcionam perfeitamente, mas eu nao consigo ativar o beryl como gerenciador de janelas. Eu estava clicando com o botão direito no ícone do rubi, depois colocava num lugar q nao lembro agora, e tinha os gerenciadores de janelas instalados no meu pc: kde, wmaker, fluxbox, blackbox e o beryl. todos funcionam qdo eu clicava mas o beryl nao. aí resolvi usar o dbus-launch, para ver a saída no terminal, e retornava isto quando eu tentava ativar o beryl:

**************************************************************
* Beryl system compatiblity check *
**************************************************************

Detected xserver : NVIDIA

Checking Display :0.0 ...

Checking for XComposite extension : passed (v0.3)
Checking for XDamage extension : passed
Checking for RandR extension : passed
Checking for XSync extension : passed

Checking Screen 0 ...

Checking for GLX_SGIX_fbconfig : passed
Checking for GLX_EXT_texture_from_pixmap : passed
Checking for non power of two texture support : passed
Checking maximum texture size : passed (4096x4096)

Relaunching beryl with __GL_YIELD="NOTHING"
**************************************************************
* Beryl system compatiblity check *
**************************************************************

Detected xserver : NVIDIA

Checking Display :0.0 ...

Checking for XComposite extension : passed (v0.3)
Checking for XDamage extension : passed
Checking for RandR extension : passed
Checking for XSync extension : passed

Checking Screen 0 ...

Checking for GLX_SGIX_fbconfig : passed
Checking for GLX_EXT_texture_from_pixmap : passed
Checking for non power of two texture support : passed
Checking maximum texture size : passed (4096x4096)

*** glibc detected *** double free or corruption (fasttop): 0x080ad948 ***
Aborted


estou usando o driver 9746 da nvidia.

alguém sabe a solução??

[69] Comentário enviado por leonardo.ls em 18/02/2007 - 15:38h

AIXGL + SLACKWARE 11 + DROPLINE 2.6 + KERNEL 2.6.17 = [OK]

Procedimentos :
slackware 11 cd1 [instalado]
kernel 2.6.17 [instalado]
Placa de video NVIDIA 9626 [instalado]
Dropline 2.6 [instalado]
Placa de video NVIDIA 9626 [reinstalado]

removepkg /var/log/package/x11-*

File: fontconfig-2.2.3-i486-2.tgz
File: freetype-2.1.9-i486-1.tgz
File: xorg-7.1-i486-6.tgz
File: xorg-devel-7.1-i486-1.tgz
File: xorg-fonts-cyrillic-7.1-i486-1.tgz
File: xorg-fonts-misc-7.1-i486-1.tgz
File: xorg-fonts-scale-7.1-i486-1.tgz
File: xorg-xnest-7.1-i486-1.tgz

installpkg *.tgz

File: beryl-core-0.2.0-i486-4gm.tgz
File: beryl-manager-0.2.0-i486-4gm.tgz
File: beryl-plugins-0.2.0-i486-4gm.tgz
File: beryl-settings-0.2.0-i486-4gm.tgz
File: beryl-settings-bindings-0.1.99.2-i486-1www.tgz
File: emerald-0.2.0-i486-4gm.tgz
File: emerald-themes-0.2.0-i486-4gm.tgz

installpkg *.tgz

File: cairo-1.2.4-i486-1.tgz
File: libwnck-2.16.0-i686-1dl.tgz
File: pycairo-1.0.2-i486-1.tgz
File: pygobject-2.12.3-i486-1.tgz
File: pygtk-2.8.5-i486-1rha.tgz

installpkg *.tgz

File: dbus-1.0.2-i486-2gm.tgz
File: dbus-glib-0.73-i486-1gm.tgz

installpkg *.tgz

Placa de video NVIDIA 9626 [reinstalado]

Utilize o xorg.conf q o tzbishop postou no artigo

xwmconfig : Abilite o gnome-dropline
abra um terminal e digite:
beryl-manager
para resolver o problema da sombra utilize o :
emerald-theme-manager

Agradeço ao CIDO LOCO, SAMUKA eo RAFHAR pela ajuda

[70] Comentário enviado por andypaes em 02/03/2007 - 18:42h

Resolvido

[71] Comentário enviado por removido em 06/03/2007 - 14:31h

root@kizzo:~# beryl-settings
Traceback (most recent call last):
File "/usr/bin/beryl-settings", line 22, in ?
import berylsettings
ImportError: No module named berylsettings
root@kizzo:~#

tive esse problema alguem poderia me ajudar?

uso slack11 - nvidia - kernel 2.4.33.3

vlw

[72] Comentário enviado por cyberfred em 06/03/2007 - 23:43h

Boa noite,
ao que parece o site mytux.org não mais disponibilizará os packages do beryl para slackware por problemas técnicos (segundo o que eu pude entender. Italiano não é meu forte =] )

http://www.mytux.org/content/viewnews.php?id=64

Alguém poderia disponibilizar estes pacotes? Porque procurando na Net todos os sites apontam para o mytux para download dos .TGZ.

Valews.

[73] Comentário enviado por andypaes em 07/03/2007 - 10:28h

E ae cyberfred fmz....
Eu tenho todos os pacotes necessarios em meu ftp...
Entre em contato pelo dinhopaes@hotmail.com....

FLW

[74] Comentário enviado por blackwolf em 16/03/2007 - 15:07h

consegui, instalei o xorg 7.2 e o python 2.5 e outras duas dependencias que tinham e ficou ok.
muito show.

[75] Comentário enviado por kellyv em 17/03/2007 - 23:30h

Olá,
Bom gente, to com um probleminha, instalei tudo direitinho, não retornou erro algum, mas quando digito o comando para ativar o Beryl a tela só pisca e nada acontece, mas não me retorna nenhuma mensagem de erro.
Não sei se pode ser o drive da minha placa de video que é uma ATI radeon xpress 1100, baixei o drive do seguinte link: http://ati.amd.com/support/drivers/linux/linux-radeon.html.
Será que alguém pode me dar um help??

Grata

[76] Comentário enviado por Update em 18/03/2007 - 17:30h

Eu não consegui rodar nem o Xorg 7.1

Quando dou 'startx', a tela fica preta e vai pra um modo gráfico mas que mostro o terminal. :S

Olhei os logs e nada.

[77] Comentário enviado por fernandofei em 19/03/2007 - 04:32h

cara..a X1100 eu tb tenho e ateh agora nao consegui rodar o aixgl nele...
tem uma dist, o sabayon que pelo livecd ateh rola (e soh o XGL)... fica legalzinho, mas soh ele que eu curti na distro, entao nao iria colocar ela soh por causa dos efeitos...
sei tambem que no xorg 7.2 ele tah rodando melhor com placas ATI...
e no linux, a nossa placa eh reconhecida como uma X200 da ATI hehehe...

abraços

[78] Comentário enviado por sombriks em 27/03/2007 - 01:44h

aewww super artigo!

aqui eu tive "MUITO menos" trabalho;

como estou usando o -current, já veio um X da vamília 7; daí baixei apenas os pacotes referentes ao beryl e a tal libwnck. rapaz, vocês precisam ver o resultado disso no XFCE! muito massa!

só pra não dizer que foi tudo uma molezinha, nesse momento estou tentando resolver o pau do beryl-settings não carregar; o memso problema do amigo jairo lá em cima.

Se alguém já souber que foi q aconteceu por favor, dá o toke aqui...

falowww!!!!

[79] Comentário enviado por sl4x em 30/03/2007 - 12:23h

comigo acontece o seguinte erro ao chamar o beryl-settings

carthur@darkstar:~/x11-beryl/beryl$ beryl-settings
Traceback (most recent call last):
File "/usr/bin/beryl-settings", line 23, in <module>
import gtk
ImportError: No module named gtk



alguem sabe o que posso fazer??


[80] Comentário enviado por sombriks em 30/03/2007 - 17:41h

haha, esse problema eu tb tive e muita gente aí em cima.

se no teu caso tu tiver seguindo tudo e non estiver com o current mais recente, o que te falta são as bindings do gtk com python:

http://www.linuxpackages.net/search_view.php?by=name&name=pygtk&ver=11.0
http://www.linuxpackages.net/search_view.php?by=name&name=pygobject&ver=11.0
http://www.linuxpackages.net/search_view.php?by=name&name=pycairo&ver=11.0

acho que estes aí bastam.

e talvez seja só isso, :D

pra mim q não foi porque com a nova libc e o gcc atual essas coisas não compilam pra mim, :( e não adianta usar o pronto...

[81] Comentário enviado por sl4x em 30/03/2007 - 17:50h

o pior eh q instalei esses pacotes... so nao tenho certeza se são as mesmas versões.. mas mesmo assim da esse erro... de qqr forma, qndo eu chegar em casa tento instalar esses pacotes novamente ou quem sabe compila-los mesmo..

outro problema que tive é que o beryl só aplica o tema qndo eu o executo como root e qndo eu executo como user ele inicia mas nao faz nenhuma alteração no kde...

outro problema e acho q o pior...
tenho uma placa intel 915/910 e sei que tem suporte a 3d.. estou usando o driver i810 nativo do slackware, mas o beryl nao fica com efeito nenhum, a única coisa que ele faz qndo eu o executo como root é mudar o tema do desktop.. se eu utilizo os comandos do artigo ele não anima.. por exemplo, qndo teclo Ctrl + Alt + Seta ele não dá o efeito de cubo, apenas muda de desktop normalmente.

alguem passou por isso ou sabe o que esta acontecendo?

valeu galera

[82] Comentário enviado por ghostsoft em 24/04/2007 - 08:50h

opa amigo, gosteri muito do artigo e gostaria de instalar também, mas os links nao estao funcionando para que eu possa baixar os pakotes, vc tem outros link? obrigado.

[83] Comentário enviado por Snuffy em 07/05/2007 - 16:07h

http://www.kateos.org/download/packages/distfiles3/

tire daqui

tao activos

[84] Comentário enviado por bertucci em 18/05/2007 - 12:28h

Bom dia pessoal, estou com esse problema quando executo o beryl-settings:

ontracks@darkstar:~$ beryl-settings
Traceback (most recent call last):
File "/usr/bin/beryl-settings", line 2, in ?
import berylsettings
ImportError: No module named berylsettings

Ja vi varias pessoas com esse problema porem nenhum conseguiu resolver esse problema, as respostas estão muito vagas. se alguem puder ajudar com essa informação estará ajudando varias pessoas......

Abraço T+

[85] Comentário enviado por launeh em 27/05/2007 - 17:20h

Bom.. eu to com um problema aqui.. fiz tudinho q diz no tutorial e ta aparecendo essa mensagem de erro?

bash-3.1# dbus-launch beryl-manager
bash-3.1# emerald: error while loading shared libraries: libexpat.so.1: cannot open shared object file: No such file or directory

Alguem pode me ajudar! dizer onde eu errei!

[86] Comentário enviado por lrgalego em 27/05/2007 - 17:38h

faz o seguinte, entra la no site do beryl, baixa todos os pacotes pelo svn ( tem la no forum o comando ) e recompile tudo com os makes que ja vem e tenta de novo

[87] Comentário enviado por coffnix em 28/05/2007 - 07:10h

ou se vc usa gentoo.... dá um emerge -D beryl.

heheehhehehe

[88] Comentário enviado por lemic em 10/06/2007 - 15:06h

Eu duvido que realmente alguem fez isso funcionar no Slackware 11 !

[89] Comentário enviado por dtux em 10/06/2007 - 20:27h

Seguinte tá tudo certinho no sistema estou com slackware-current, na hora q vou no menu do beryl e vou em beryl-settings ou qdo mesmo digito beryl-settings, da o seguinte erro:

beryl-settings
Traceback (most recent call last):
File "/usr/bin/beryl-settings", line 23, in <module>
import gtk
ImportError: No module named gtk

Ele diz q naum existe o modulo gtk, como faço para ativar esse modúlo, e no emerald-themer, qdo vou mudar algo, o sistema não muda e da o seguinte erro:

(emerald:10123): Gdk-CRITICAL **: gdk_drawable_unref: assertion `GDK_IS_DRAWABLE (drawable)' failed

Alguem sabe a solução me mande por e-mail ou responda aki mesmo, desde já fico grato

[90] Comentário enviado por EDU4RDO em 20/06/2007 - 18:44h

Não to conseguindo baixar os pacotes do xorg-7.1 nem o beryl-manegers e nem o baryl-plugins.
Alguem sabe outro link??

[91] Comentário enviado por bertucci em 02/07/2007 - 15:18h

Alguem pode me informar onde consigo os arquivos:
File: cairo-1.2.4-i486-1.tgz
File: libwnck-2.16.0-i686-1dl.tgz
File: pycairo-1.0.2-i486-1.tgz
File: pygobject-2.12.3-i486-1.tgz
File: pygtk-2.8.5-i486-1rha.tgz
Valew....

[92] Comentário enviado por xorg em 09/07/2007 - 16:42h

nao estou conseguindo baixar o beryl-plugins nem o beryl-manager, o link nao vai... alguem ai tem um link bom? ou possa passar para mim por msn??

[93] Comentário enviado por brittoj em 06/08/2007 - 16:00h

Pessoal estou com dificuldade em configurar o beryl, pois quando executo o comando abaixo aparece o seguinte erro!!!
root@darkstar:~# dbus-launch beryl-manager
root@darkstar:~# Fontconfig warning: no <cachedir> elements found. Check configuration. Fontconfig warning: adding <cachedir>/var/cache/fontconfig</cachedir> Fontconfig warning: adding <cachedir>~/.fontconfig</cachedir>

nao sei o que fazer ja dei olhada na net e nada.

[94] Comentário enviado por reimassupilami em 26/02/2008 - 23:53h

pessoal, os arquivos citados no artigo parecem não estar mais disponíveis para download... alguém tem ideia de onde encontrá-los agora?

valeu..

[95] Comentário enviado por piratex em 06/04/2008 - 04:54h

onde posso baixar o xorg 7 ??? não estou achando ... única fonte que conheço pra slack eh o linuxpackages e nda. .. toh vindo do debian ... procurei no google e não achei tb ...

[96] Comentário enviado por piratex em 06/04/2008 - 05:05h

putsss ... foi o sono .. .achei ... malz aeh ... =\
http://www.kateos.org/download/packages/distfiles3/

[97] Comentário enviado por sombriks em 07/04/2008 - 13:22h

ele vem com o 12, seja feliz.


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts